¿Estás visitando desde ?
Ingresá a Linware ⯈
Continuar en Linware Argentina ⯈
×
¿Qué estás buscando?
BUSCAR!
BLOG
Actualice a v18 y Debian 10 (Buster)
Publicada el 09/06/2021

Recientemente se hizo posible que las instalaciones que se ejecutan en V16 Update 8 se actualicen a V18 Alpha 4. Esto también significa tener su sistema operativo Linux actualizado de Debian 9 a Debian 10 Buster.

Captura de pantalla de actualización de V18 alpha 4

Como puede comprender, esta es una actualización importante de su sistema operativo base y conlleva sus riesgos. Por lo tanto, optimizamos, salvaguardamos y revisamos el proceso en las siguientes plataformas, varias veces, para garantizar que la actualización se ejecute sin problemas:

  • Instalación basada en 3CX ISO sin más modificaciones.
  • Proveedores líderes de plataformas en la nube (incluidos sus agentes de supervisión)
    • Amazon EWS
    • Amazon LightSail
    • Océano digital
    • Nube pública de OVH
    • Microsoft Azure
    • Google Cloud (Compute Engine)
  • Pi 3B + y Pi4 (la actualización puede tardar hasta 1h)

Actualmente, el proceso de actualización se ejecuta con una tasa de éxito del 97%. Recopilamos registros únicamente con fines de depuración que se eliminan poco después de que se completa una actualización. Nuestros ingenieros revisan los registros de actualizaciones fallidas (que representan solo el 3%) para determinar posibles problemas y mejorar el proceso de actualización. Hasta ahora, nuestras investigaciones concluyeron que se modificaron los sistemas en los que falló la actualización. Hasta ahora, las razones más comunes de falla que no podemos o no intentaremos abordar son:

  • Repositorios agregados manualmente que están dañados o usan fuentes inestables.
  • Paquetes instalados manualmente, lo que provoca problemas de dependencias.
  • Se cambiaron o eliminaron los repositorios de Debian predeterminados.
  • Herramientas de administración remota como Ansible y Puppet que podrían interferir durante el proceso de actualización (por ejemplo, bloquear APT durante el proceso).
  • Configuración regional alterada o TZdata sin actualizar el sistema operativo completamente a través de los comandos dpkg.
  • Archivos de configuración de nginx modificados / rotos.
  • Certificados raíz alterados.
  • Acceso a Internet restringido para que apt llame a la actualización (se requiere el puerto de salida 80).

Si no está seguro de que su sistema cumpla con los requisitos, debido a que está siendo modificado, le recomendamos hacer una copia de seguridad de su sistema 3CX y restaurarlo en una nueva instalación 3CX Debian 10 ISO .

Para obtener más información, lea la guía sobre: Instalación de 3CX usando 3CX Debian ISO .

Ir al Blog